@font-face {
  font-family: "interFaceTh";
  src: url(InterFace_Trial_Th.ttf) format("truetype");
}

@font-face {
  font-family: "interFaceRg";
  src: url(InterFace_Trial_Rg.ttf) format("truetype");
}

@font-face {
  font-family: "interFaceBd";
  src: url(InterFace_Trial_Bd.ttf) format("truetype");
}

.baskervville-regular {
  font-family: "Baskervville", serif;
  font-weight: 400;
  font-style: normal;
}

.baskervville-regular-italic {
  font-family: "Baskervville", serif;
  font-weight: 400;
  font-style: italic;
}

html{
  scroll-behavior: smooth;
}

/* Navbar container */
body {
  /* background-color: #fefefe; */
  background-color: #F5F3EF;
  margin: 0px;
}

.navbarCont{
  background-color:#F5F3EF;
  width: 100%;
  z-index: 1000;
  position: sticky;
  top: 0;
}

.navbar {
  overflow: hidden;
  display: flex;
  align-items: center;
  padding-left: 16.666667%;
  padding-right: 16.666667%;
  justify-content: space-between;
}

/* Links inside the navbar */
.navbar a {
  float: left;
  font-size: 1vw;
  text-align: left;
  padding: 0.875vw 1vw;
  text-decoration: none;
}

/* The dropdown container */
.dropdown {
  float: left;
  overflow: hidden;
}

/* Dropdown button */
.dropdown .dropbtn {
  font-size: 1vw;
  border: none;
  outline: none;
  padding: 0.875vw 1vw;
  background-color: inherit;
  font-family: inherit;
  text-align: left;
}

/* Add a red background color to navbar links on hover */
.navbar a:hover,
.dropdown:hover .dropbtn{
  background-color: #FCEFB4;
  border-radius: 1vw;
  transition: 0.3s ease; /* Smooth transition */
}

/* Dropdown content (hidden by default) */
/* .dropdown-content {
  display: none;
  position: absolute;
  min-width: 10vw;
  box-shadow: 0vw 0.5vw 1vw 0vw rgba(0, 0, 0, 0.2);
  z-index: 10;
  background-color: #D5E1E1;
  font-size: 1vw;
  border-radius: 1vw;
} */

/* Dropdown content (hidden by default) */
.dropdown-content {
  display: none;
  position: absolute;
  min-width: 10vw;
  box-shadow: 0vw 0.5vw 1vw 0vw rgba(0, 0, 0, 0.2);
  z-index: 10;
  background-color: #D5E1E1;
  border-radius: 1vw;
}


/* Links inside the dropdown */
.dropdown-content a {
  float: none;
  color: #FCEFB4;
  padding: 0.75vw 1vw;
  text-decoration: none;
  display: block;
  text-align: left;
  font-family: "interFaceRg";
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
  background-color: #FCEFB4;
  color: #172E3D;
  transition: 0.3s ease; /* Smooth transition */
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
  transition: 0.3s ease; /* Smooth transition */
}

h1 {
  font-family: 'Baskervville';
  font-size: 3vw;
  font-weight: 400;
  color: #172E3D;
}

h2{
  font-family: 'Baskervville';
  font-size: 2.5vw;
  font-weight: 100;
}

h3 {
  font-family: 'Baskervville';
  font-size: 1.25vw;
  letter-spacing: 0.1vw;
  font-weight: 400;
  color: #172E3D;
}

h4 {
  font-family: "interFaceRg";
  font-size: 1.25vw;
  text-align: center;
  color: #172E3D;
}

h5 {
  font-family: 'interFaceBd';
  font-size: 1.25vw;
  letter-spacing: 0.1vw;
  font-weight: 400;
  text-transform: uppercase;
  color: #6B796A;
}

p {
  font-family: "interFaceTh";
  font-size: 1.25vw;
  letter-spacing: 0.05vw;
  color: #172E3D;
}

hr {
  background-color: #172E3D;
  height: 0.05vh;
}

.hamburger{
  display: none;
  width: 5vw;
}

.hamburger img{
  width: 100%;
}

#hamburgerMenu{
  background-color: #172E3D;
}

.showDropDown{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.showDropDown a{
  text-decoration: none;
}

#uxDropDown, #artDropDown, #uxShowDropDown, #artShowDropDown{
  width: 100vw;
  text-align: center;
  position: relative;

}

#uxShowDropDown a, #artShowDropDown a{
  text-align: center;
}

.showDropDownCont{
  display: none;
}






.landing {
  display: flex;
  justify-content: space-between;
}

.landingImage {
  width: 47.5%;
  overflow: hidden;
}

.landingImage img {
  width: 100%;
}

.landingCont{
  width: 47.5%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
}
.landingText {
  padding-bottom: 5vh;
  width: 75%;
}

/* .landingText h1 {
  overflow: hidden; 
  border-right: .15em solid #172E3D;
  white-space: nowrap;
  margin: 0 auto;
  letter-spacing: .15em;
  animation: typing 4s steps(40, end) forwards, blink-caret 0.75s step-end 5;
} */

/* The typing effect */
/* @keyframes typing {
  from { width: 0 }
  to { width: 100% }
} */

/* The blinking caret effect */
/* @keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: #172E3D; }
} */

.landingText h1 {
  overflow: hidden; 
  border-right: .15em solid #172E3D;
  white-space: nowrap;
  margin: 0 auto;
  letter-spacing: .15em;
  width: 0;
  animation: typing 2s steps(20, end) forwards, blink-caret 0.75s step-end infinite;
}

/* Typing animation: assumes 40 characters */
@keyframes typing {
  from { width: 0ch; }
  to { width: 23ch; }
}

/* Blinking caret */
@keyframes blink-caret {
  from, to { border-color: transparent; }
  50% { border-color: #172E3D; }
}


.workWithMeFill {
  display: inline-block;
  padding: 0 1vw;
  border-radius: 2vw;
  background: #FCEFB4;
}

.workWithMeFill:hover{
  background-color: #D5E1E1;
  transition: 0.3s ease; /* Smooth transition */
}



#confetti-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  overflow: hidden;
}

.confetti, .streamer {
  position: absolute;
  opacity: 0;
  animation: confetti-animation var(--confetti-duration) forwards;
}

.confetti {
  width: var(--confetti-size);
  height: var(--confetti-size);
  background-color: var(--confetti-color);
  border-radius: 50%;
}

.streamer {
  width: var(--streamer-width);
  height: var(--streamer-length);
  background-color: var(--streamer-color);
  animation: streamer-animation var(--streamer-duration) forwards;
}

@keyframes confetti-animation {
  0% {
      transform: translateY(0) rotate(0deg);
      opacity: 1;
  }
  100% {
      transform: translateY(800px) rotate(360deg);
      opacity: 0;
  }
}

@keyframes streamer-animation {
  0% {
      transform: translateY(0) rotate(0deg);
      opacity: 1;
  }
  100% {
      transform: translateY(800px) rotate(720deg);
      opacity: 0;
  }
}



.workWithMeBorder {
  display: inline-block;
  padding: 0 1vw;
  border-radius: 2vw;
  border: 0.25vw solid #FCEFB4; /* Changed from outline to border */
}

.workWithMeBorder:hover{
  background-color: #FCEFB4;
  transition: 0.3s ease; /* Smooth transition */
}

.uxWork {
  padding-bottom: 5vh;
  padding-top: 5vh;
  padding-left: 16.666667%;
  padding-right: 16.666667%;
}

.uxWorkHeading{
  text-align: right;
}

.hide {
  opacity:0;
  right:-100%;
}
.show {
  opacity:1;
  right:0;
}

.workImg {
  width: 100%;
  margin-bottom: 1vh;
}

.workCards {
  width: 100%;
  margin: 2vw;
  position: relative;
  padding-bottom: 10vh;
}


.newImage {
  position: absolute;
  top: -14.5%;
  left: -12.5%;
  z-index: 1; /* Ensure it's above other content */
  width: 25%;
  animation: rotation 8s infinite linear;
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

.newImage img{
  width: 100%;
}

.workCardsTitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.workPair {
  display: flex;
  align-items: center;
}

.workImg img {
  width: 100%;
  background-color: #FFFFFF;
}

.workCardsCont a {
  text-decoration: none;
  color:#172E3D;
}

.workCardsTitleLeft h2, .workCardsCont p{
  margin: 0.1vh;
}

.skillsCont{
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #D5E1E1;
  text-align: center;
  padding-top: 5vh;
  padding-bottom: 5vh;
}

.skillsTop{
  padding-left: 16.666667%;
  padding-right: 16.666667%;
}

.skillsBottom{
  display: flex;
  justify-content: space-between;
  text-align: center;
  padding-left: 16.666667%;
  padding-right: 16.666667%;
  padding-bottom: 5vh;
}

.hardSkills, .softSkills, .tools{
  width: 30%;
}

.vl {
  border-left: 6px solid #FCEFB4;
  height: auto;
}

.otherWorks{
  padding-left: 16.666667%;
  padding-right: 16.666667%;
  padding-bottom: 5vh;
  padding-top: 5vh;
}

.row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.column {
  flex: 30%;
  max-width: 30%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.img-container {
  position: relative;
  width: 100%;
  margin-top: 1vh;
}

.img-container img {
  width: 100%;
  vertical-align: middle;
}

.overlay {
  position: absolute;
  bottom: 0;
  background: rgba(252,	239,	180); /* Semi-transparent black background */
  width: 100%;
  text-align: center;
  opacity: 0; /* Initially hidden */
  transition: opacity 0.3s ease; /* Smooth transition */
}

.img-container:hover .overlay {
  opacity: 1; /* Show overlay on hover */
}











.footerInfo{
  display: flex;
  height: 25vh;
  align-items: center;
  padding-left: 16.666667%;
  padding-right: 16.666667%;
}

.footerLeft{
  width: 90%;
}

.footerLeft h1{
  margin: 0px;
}

.footerRight h4{
  text-align: right;
}

.linkedIn a, .email a{
  text-decoration: none;
}


#fade-in-on-scroll {
  opacity: 0;
  transition: opacity 1s ease-in-out; /* Adjust the duration and easing as needed */
}

#fade-in-on-scroll.visible {
  opacity: 1;
}

.email:hover h4,
.linkedIn:hover h4 {
    text-decoration: underline;
    transition: 0.3s ease; /* Smooth transition */
}



@media screen and (max-width: 600px) {

  h1 {
    font-size: 8vw;
  }
  
  h2{
    font-size: 7vw;
  }
  
  h3 {
    font-size: 3.5vw;
  }
  
  h4 {
    font-size: 3.5vw;
  }
  
  h5 {
    font-size: 3.5vw;
  }
  
  p {
    font-size: 3.5vw;
  }

  .navbar{
    padding-left: 5%;
    padding-right: 5%;
  }

  .hamburger{
    display: block;
  }

  .dropdown, .resume, .aboutMe, .contact{
    display: none;
  }

  .showDropDownCont{
    display: block;
    background-color:#F5F3EF;
    width: 100%;
    z-index: 999;
    position: sticky;
    top: 8%;
  }

  .landing{
    height: auto;
  }

  .column {
    -ms-flex: 100%;
    flex: 100%;
    max-width: 100%;
  }

  .landing{
    flex-direction: column;
    align-items: center;
    padding: 5%;
  }
  
  .landingText {
    padding-bottom: 1vh;
    padding-top: 1vh;
    width: 100%;
  }

  .landingImage{
    width: 100%;
  }

  .landingCont{
    width: 100%;
  }

  .uxWork{
    padding: 5%;
  }

  .workCards{
    margin: 0px;
  }
  
  .skillsCont{
    padding: 5%;
  }

  .skillsTop{
    padding: 0px;
  }

  .skillsBottom{
    flex-direction: column;
    padding: 0px;
  }

  .softSkills, .hardSkills, .tools{
    width: 100%;
  }

  .otherWorks{
    padding: 5%;
  }

  .footerInfo{
    padding-left: 5%;
    padding-right: 5%;
  }

}


